NGN ( Bank Transfer )

After creating a BlockPay link, use this endpoint with the payment_ref to retrieve the bank account details required to complete the NGN bank transfer.

Request

Endpoint: POST /api/v1/collection/blockpay-request

Headers

HeaderValue
x-merchant-refYour merchant reference

Request Body

{
  "payment_ref": "BPAY-DAB98B9A-AFCE-4BD3-9341-044B8564B7AE-00CD7",
  "payment_method": "BLOCK_PAY_LINK"
}

Response

{
  "status": "success",
  "message": "Please complete payment",
  "data": {
    "payment_ref": "BPAY-DAB98B9A-AFCE-4BD3-9341-044B8564B7AE-00CD7",
    "txn_merchant_ref": "live_001222126",
    "amount": 100,
    "currency": "NGN",
    "pay_data": {
      "account_name": "Sample User",
      "account_number": "0123456789",
      "bank_code": "000027",
      "bank_name": "Globus Bank",
      "expires": ""
    }
  }
}

Did this page help you?